## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name nipype

Name:           python-%{pypi_name}
Version:        1.9.0
Release:        %{autorelease}
Summary:        Neuroimaging in Python: Pipelines and Interfaces

%global forgeurl https://github.com/nipy/nipype
%global tag %{version}
%forgemeta

License:        Apache-2.0
URL:            %forgeurl
Source:         %forgesource

BuildArch:      noarch
BuildRequires:  python3-devel
# Test requirements listed in `nipype/info.py` under `TEST-REQUIRES`
# together with linters, which we don't want.
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-env)
BuildRequires:  python3dist(pytest-timeout)

%global _description %{expand:
Current neuroimaging software offer users an incredible opportunity to
analyze data using a variety of different algorithms. However, this has
resulted in a heterogeneous collection of specialized applications
without transparent interoperability or a uniform operating interface.

Nipype, an open-source, community-developed initiative under the
umbrella of NiPy, is a Python project that provides a uniform interface
to existing neuroimaging software and facilitates interaction between
these packages within a single workflow. Nipype provides an environment
that encourages interactive exploration of algorithms from different
packages (e.g., AFNI, ANTS, BRAINS, BrainSuite, Camino, FreeSurfer,
FSL, MNE, MRtrix, MNE, Nipy, Slicer, SPM), eases the design of
workflows within and between packages, and reduces the learning curve
necessary to use different packages. Nipype is creating a collaborative
platform for neuroimaging software development in a high-level language
and addressing limitations of existing pipeline systems.

Nipype allows you to:

- easily interact with tools from different software packages
- combine processing steps from different software packages
- develop new workflows faster by reusing common steps from old ones
- process data faster by running it in parallel on many cores/machines
- make your research easily reproducible
- share your processing workflows with the community}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l %{pypi_name}


%check
# The test_write_graph_dotfile tests fail for unknown reasons. Comparing
# the Python string to the file contents, it should be a match.
# Needs further investigation.
k="${k-}${k+ and }not test_write_graph_dotfile"

%pytest -v ${k+-k} "${k-}"
#%%pyproject_check_import


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst THANKS.rst
%{_bindir}/nipypecli


%changelog
## START: Generated by rpmautospec
* Thu Oct 31 2024 Sandro <devel@penguinpee.nl> - 1.9.0-2
- Disable some failing tests

* Thu Oct 31 2024 Sandro <devel@penguinpee.nl> - 1.9.0-1
- Update to 1.9.0

* Tue Jul 23 2024 Sandro <devel@penguinpee.nl> - 1.8.6-1
- Initial package
## END: Generated by rpmautospec
